{"openapi":"3.1.0","info":{"title":"Notte API","description":"Notte API is a REST API that allows you to interact with Notte. It is used to create cloud browser sessions, scrape webpages, and run web ai agents to act on your behalf on the internet.","version":"1.4.40","x-logo":{"url":"https://www.notte.cc/images/logo/logo-white.png"}},"paths":{"/sessions":{"get":{"tags":["sessions"],"summary":"List Sessions","operationId":"list_sessions","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_SessionResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/sessions/start":{"post":{"tags":["sessions"],"summary":"Session Start","operationId":"session_start","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSessionStartRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient, actions\n\nnotte = NotteClient()\n# the simple way: create a session that gets stopped automatically\nwith notte.Session() as session:\n    _ = session.execute(\n        actions.Goto(url=\"https://www.google.com\")\n    )\n\n# for more control, start it manually\nsession = notte.Session()\nsession.start()","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// the simple way: create a session that gets stopped automatically\nawait notte.Session().use(async (session) => {\n  await session.execute({\n    type: \"goto\",\n    url: \"https://www.google.com\",\n  });\n});\n\n// for more control, start it manually\nconst session = notte.Session();\nawait session.start();","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/sessions/start\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"headless\": true,\n\"solve_captchas\": false,\n\"timeout_minutes\": 3,\n\"proxies\": false,\n\"browser_type\": \"chromium\",\n\"user_agent\": null,\n\"chrome_args\": null,\n\"viewport_width\": null,\n\"viewport_height\": null,\n\"cdp_url\": null,\n\"use_file_storage\": false,\n\"screenshot_type\": \"last_action\"\n}'","label":"curl"}]}},"/sessions/{session_id}":{"get":{"tags":["sessions"],"summary":"Session Status","operationId":"session_status","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/sessions/{session_id}/workflow/code":{"get":{"tags":["sessions"],"summary":"Get Session Script","operationId":"get_session_script","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"as_workflow","in":"query","required":true,"schema":{"type":"boolean","description":"Whether to return code as standalone workflow or just relevant instructions","title":"As Workflow"},"description":"Whether to return code as standalone workflow or just relevant instructions"},{"name":"infer_response_format","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to infer response_format schema for scrape calls that have instructions but no schema","default":false,"title":"Infer Response Format"},"description":"Whether to infer response_format schema for scrape calls that have instructions but no schema"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentFunctionCodeResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/sessions/{session_id}/stop":{"delete":{"tags":["sessions"],"summary":"Session Stop","operationId":"session_stop","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# for more control, start it manually\nsession = notte.Session(session_id=\"<session_id>\")\n# stop it manually\nsession.stop()","label":"python"},{"lang":"Curl","source":"curl -X DELETE \"https://api.notte.cc/sessions/$session_id/stop\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/sessions/{session_id}/cookies":{"post":{"tags":["sessions"],"summary":"Session Cookies Set","operationId":"session_cookies_set","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_session_cookies_set_sessions__session_id__cookies_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"import json\nfrom notte_sdk import NotteClient\n\nnotte = NotteClient()\n# load the cookies from json and inject them in the session\nwith open(\"cookies.json\", \"r\") as f:\n    cookies = json.load(f)\n\nwith notte.Session() as session:\n    cookies = session.set_cookies(cookies)","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\nimport { readFileSync } from \"fs\";\n\nconst notte = new NotteClient();\n// load the cookies from json and inject them in the session\nconst cookies = JSON.parse(readFileSync(\"cookies.json\", \"utf-8\"));\n\nawait notte.Session().use(async (session) => {\n  await session.setCookies(cookies);\n});","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/sessions/$session_id/cookies\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"cookies\": [\n{\n\"name\": \"name\",\n\"value\": \"value\",\n\"domain\": \".googl.com\",\n\"path\": \"/\",\n\"httpOnly\": false,\n\"hostOnly\": null,\n\"sameSite\": \"Lax\",\n\"secure\": true,\n\"session\": null,\n\"storeId\": null,\n\"expires\": -1\n}\n]\n}'","label":"curl"}]},"get":{"tags":["sessions"],"summary":"Session Cookies Get","operationId":"session_cookies_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCookiesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"import json\nfrom notte_sdk import NotteClient\n\nnotte = NotteClient()\nwith notte.Session() as session:\n    # perform some operation that creates cookies\n    # ...\n    # then save the cookies to json\n    cookies = session.get_cookies()\n    with open(\"cookies.json\", \"w\") as f:\n        json.dump(cookies, f)","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\nimport { writeFileSync } from \"fs\";\n\nconst notte = new NotteClient();\nawait notte.Session().use(async (session) => {\n  // perform some operation that creates cookies\n  // ...\n  // then save the cookies to json\n  const cookies = await session.getCookies();\n  writeFileSync(\"cookies.json\", JSON.stringify(cookies));\n});","label":"node"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/sessions/$session_id/cookies\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/sessions/{session_id}/debug":{"get":{"tags":["sessions","debug"],"summary":"Session Debug Info","operationId":"session_debug_info","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionDebugResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/sessions/{session_id}/offset":{"get":{"tags":["sessions","debug"],"summary":"Session Offset","operationId":"session_offset","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionOffsetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/sessions/{session_id}/page/observe":{"post":{"tags":["sessions","page"],"summary":"Page Observe","operationId":"page_observe","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ObserveRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Observation"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient, actions\n\nnotte = NotteClient()\nwith notte.Session() as session:\n    # Observe the state of a webpage\n\n    _ = session.execute(\n        actions.Goto(url=\"https://google.com/travel/flights\")\n    )\n    obs = session.observe()\n    print(\"Page Title:\", obs.metadata.title)\n    print(\n        \"Available Actions:\\n\",\n        obs.space.description,\n    )\n    # # Example Output:\n    # # Flight Search\n    # * I1: Enter departure location\n    # ...","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\nawait notte.Session().use(async (session) => {\n  // Observe the state of a webpage\n  await session.execute({\n    type: \"goto\",\n    url: \"https://google.com/travel/flights\",\n  });\n  const obs = await session.observe();\n  console.log(\"Page Title:\", obs.metadata.title);\n  console.log(\n    \"Available Actions:\\n\",\n    obs.space.description\n  );\n  // Example Output:\n  // Flight Search\n  // * I1: Enter departure location\n  // ...\n});","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/sessions/$session_id/page/observe\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"min_nb_actions\": null,\n\"max_nb_actions\": 100,\n\"instructions\": null,\n\"perception_type\": null\n}'","label":"curl"}]}},"/sessions/{session_id}/page/screenshot":{"post":{"tags":["sessions","page"],"summary":"Page Screenshot","operationId":"page_screenshot","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/sessions/{session_id}/page/execute":{"post":{"tags":["sessions","page"],"summary":"Page Execute","operationId":"page_execute","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/FormFillAction"},{"$ref":"#/components/schemas/GotoAction"},{"$ref":"#/components/schemas/GotoNewTabAction"},{"$ref":"#/components/schemas/CloseTabAction"},{"$ref":"#/components/schemas/SwitchTabAction"},{"$ref":"#/components/schemas/GoBackAction"},{"$ref":"#/components/schemas/GoForwardAction"},{"$ref":"#/components/schemas/ReloadAction"},{"$ref":"#/components/schemas/WaitAction"},{"$ref":"#/components/schemas/PressKeyAction"},{"$ref":"#/components/schemas/ScrollUpAction"},{"$ref":"#/components/schemas/ScrollDownAction"},{"$ref":"#/components/schemas/CaptchaSolveAction"},{"$ref":"#/components/schemas/HelpAction"},{"$ref":"#/components/schemas/CompletionAction"},{"$ref":"#/components/schemas/ScrapeAction"},{"$ref":"#/components/schemas/EmailReadAction"},{"$ref":"#/components/schemas/SmsReadAction"},{"$ref":"#/components/schemas/EvaluateJsAction"},{"$ref":"#/components/schemas/ClickAction-Input"},{"$ref":"#/components/schemas/FillAction-Input"},{"$ref":"#/components/schemas/MultiFactorFillAction-Input"},{"$ref":"#/components/schemas/FallbackFillAction-Input"},{"$ref":"#/components/schemas/CheckAction-Input"},{"$ref":"#/components/schemas/SelectDropdownOptionAction-Input"},{"$ref":"#/components/schemas/UploadFileAction-Input"},{"$ref":"#/components/schemas/DownloadFileAction-Input"}],"discriminator":{"propertyName":"type","mapping":{"form_fill":"#/components/schemas/FormFillAction","goto":"#/components/schemas/GotoAction","goto_new_tab":"#/components/schemas/GotoNewTabAction","close_tab":"#/components/schemas/CloseTabAction","switch_tab":"#/components/schemas/SwitchTabAction","go_back":"#/components/schemas/GoBackAction","go_forward":"#/components/schemas/GoForwardAction","reload":"#/components/schemas/ReloadAction","wait":"#/components/schemas/WaitAction","press_key":"#/components/schemas/PressKeyAction","scroll_up":"#/components/schemas/ScrollUpAction","scroll_down":"#/components/schemas/ScrollDownAction","captcha_solve":"#/components/schemas/CaptchaSolveAction","help":"#/components/schemas/HelpAction","completion":"#/components/schemas/CompletionAction","scrape":"#/components/schemas/ScrapeAction","email_read":"#/components/schemas/EmailReadAction","sms_read":"#/components/schemas/SmsReadAction","evaluate_js":"#/components/schemas/EvaluateJsAction","click":"#/components/schemas/ClickAction-Input","fill":"#/components/schemas/FillAction-Input","multi_factor_fill":"#/components/schemas/MultiFactorFillAction-Input","fallback_fill":"#/components/schemas/FallbackFillAction-Input","check":"#/components/schemas/CheckAction-Input","select_dropdown_option":"#/components/schemas/SelectDropdownOptionAction-Input","upload_file":"#/components/schemas/UploadFileAction-Input","download_file":"#/components/schemas/DownloadFileAction-Input"}},"title":"Action"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiExecutionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient, actions\n\nnotte = NotteClient()\nwith notte.Session() as session:\n    # go to google\n    _ = session.execute(\n        actions.Goto(\n            url=\"https://www.duckduckgo.com\"\n        )\n    )\n\n    # fill the search bar with our query\n    _ = session.execute(\n        actions.Fill(\n            value=\"dog pictures\",\n            selector='internal:role=combobox[name=\"Search with DuckDuckGo\"i]',\n        )\n    )","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\nawait notte.Session().use(async (session) => {\n  // go to duckduckgo\n  await session.execute({\n    type: \"goto\",\n    url: \"https://www.duckduckgo.com\",\n  });\n\n  // fill the search bar with our query\n  await session.execute({\n    type: \"fill\",\n    value: \"dog pictures\",\n    selector: 'internal:role=combobox[name=\"Search with DuckDuckGo\"i]',\n  });\n});","label":"node"},{"lang":"Curl","source":"curl --X POST \"https://api.notte.cc/sessions/$session_id/page/execute\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n    \"type\": \"goto\",\n    \"url\": \"https://www.duckduckgo.com\"\n}'","label":"curl"}]}},"/sessions/{session_id}/page/scrape":{"post":{"tags":["sessions","page"],"summary":"Page Scrape","operationId":"page_scrape","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScrapeRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataSpace"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient, actions\nfrom pydantic import BaseModel\n\n\nclass StoryInfo(BaseModel):\n    title: str\n    points: int | None = None\n\n\nclass Stories(BaseModel):\n    stories: list[StoryInfo]\n\n\nnotte = NotteClient()\nwith notte.Session() as session:\n    _ = session.execute(actions.Goto(url=\"https://news.ycombinator.com\"))\n    stories = session.scrape(\n        instructions=\"Extract the top 5 story titles and their points\",\n        response_format=Stories,\n    )","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\nimport { z } from \"zod\";\n\nconst StoryInfo = z.object({\n  title: z.string(),\n  points: z.number().nullable(),\n});\n\nconst Stories = z.object({\n  stories: z.array(StoryInfo),\n});\n\nconst notte = new NotteClient();\nawait notte.Session().use(async (session) => {\n  await session.execute({\n    type: \"goto\",\n    url: \"https://news.ycombinator.com\",\n  });\n  const stories = await session.scrape({\n    instructions:\n      \"Extract the top 5 story titles and their points\",\n    response_format: Stories,\n  });\n});","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/sessions/$session_id/page/scrape\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"scrape_links\": true,\n\"scrape_images\": false,\n\"ignored_tags\": null,\n\"only_main_content\": true,\n\"only_images\": false,\n\"response_format\": null,\n\"instructions\": null,\n\"use_link_placeholders\": false\n}'","label":"curl"}]}},"/sessions/{session_id}/network/logs":{"get":{"tags":["sessions","network"],"summary":"Session Network Logs","operationId":"session_network_logs","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of batch files to return","default":100,"title":"Limit"},"description":"Maximum number of batch files to return"},{"name":"download","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to include download URLs for the logs","default":true,"title":"Download"},"description":"Whether to include download URLs for the logs"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkLogsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/sessions/{session_id}/replay":{"get":{"tags":["sessions","replay"],"summary":"Session Replay","operationId":"session_replay","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplayResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/agents/start":{"post":{"tags":["agents"],"summary":"Agent Start","operationId":"agent_start","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiAgentStartRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\ntask = \"find a cute dog on google images\"\n\nwith notte.Session() as session:\n    agent = notte.Agent(session=session, max_steps=5)\n    # this runs the agent and waits for completion\n    full_response = agent.run(task=task)\n    print(f\"{full_response.success=}, {full_response.answer=}\")","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\nconst task = \"find a cute dog on google images\";\n\nawait notte.Session().use(async (session) => {\n  const agent = notte.Agent({ session, max_steps: 5 });\n  // this runs the agent and waits for completion\n  const response = await agent.run({ task });\n  console.log(`success=${response.success}, answer=${response.answer}`);\n});","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/agents/start\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"task\": \"task\",\n\"url\": null,\n\"response_format\": null,\n\"session_offset\": null,\n\"reasoning_model\": \"vertex_ai/gemini-2.5-flash\",\n\"use_vision\": true,\n\"max_steps\": 20,\n\"vault_id\": null,\n\"persona_id\": null,\n\"notifier_config\": null,\n\"session_id\": \"<session_id>\"\n}'","label":"curl"}]}},"/agents/{agent_id}":{"get":{"tags":["agents"],"summary":"Agent Status","operationId":"agent_status","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyAgentStatusResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/agents/{agent_id}/workflow/code":{"get":{"tags":["agents"],"summary":"Get Script","operationId":"get_script","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"as_workflow","in":"query","required":true,"schema":{"type":"boolean","description":"Whether to return code as standalone workflow or just relevant instructions","title":"As Workflow"},"description":"Whether to return code as standalone workflow or just relevant instructions"},{"name":"infer_response_format","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to infer response_format schema for scrape calls that have instructions but no schema","default":false,"title":"Infer Response Format"},"description":"Whether to infer response_format schema for scrape calls that have instructions but no schema"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentFunctionCodeResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n\nagent = notte.Agent(agent_id=\"<agent_id>\")\nprint(agent.workflow.code())","label":"python"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/agents/$agent_id/workflow/code?as_workflow=false\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/agents/{agent_id}/stop":{"delete":{"tags":["agents"],"summary":"Agent Stop","operationId":"agent_stop","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id"}},{"name":"session_id","in":"query","required":true,"schema":{"type":"string","minLength":1,"title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentStatusResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n\nwith notte.Session() as session:\n    agent = notte.Agent(session=session)\n    _ = agent.start(\n        task=\"find a cute dog on google images\"\n    )\n\n    # stops without waiting for the agent to finish\n    _ = agent.stop()","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n\nawait notte.Session().use(async (session) => {\n  const agent = notte.Agent({ session });\n  await agent.start({\n    task: \"find a cute dog on google images\",\n  });\n\n  // stops without waiting for the agent to finish\n  await agent.stop();\n});","label":"node"},{"lang":"Curl","source":"curl -X DELETE \"https://api.notte.cc/agents/$agent_id/stop?session_id=${session_id}\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/agents":{"get":{"tags":["agents"],"summary":"List Agents","operationId":"list_agents","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_saved","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return saved agents","default":false,"title":"Only Saved"},"description":"Whether to only return saved agents"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return agents for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return agents for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_AgentResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/functions":{"post":{"tags":["functions"],"summary":"Function Create","operationId":"function_create","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"restricted","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to restrict the function code","default":true,"title":"Restricted"},"description":"Whether to restrict the function code"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_function_create_functions_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFunctionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"get":{"tags":["functions"],"summary":"List Functions","operationId":"list_functions","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_GetFunctionResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/functions/{function_id}":{"post":{"tags":["functions"],"summary":"Function Update","operationId":"function_update","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"version","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The version of the function to upload","title":"Version"},"description":"The version of the function to upload"},{"name":"restricted","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to restrict the function code","default":true,"title":"Restricted"},"description":"Whether to restrict the function code"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_function_update_functions__function_id__post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFunctionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"get":{"tags":["functions"],"summary":"Function Download Url","operationId":"function_download_url","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"version","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version"}},{"name":"decryption_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The decryption key for the function","title":"Decryption Key"},"description":"The decryption key for the function"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFunctionWithLinkResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"delete":{"tags":["functions"],"summary":"Function Delete","operationId":"function_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteFunctionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/functions/{function_id}/fork":{"post":{"tags":["functions"],"summary":"Function Fork","operationId":"function_fork","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFunctionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\nfn = notte.Function(\"<public_function_id>\")\n# creates a private copy of the function (only works for public functions)\nfn = fn.fork()","label":"python"}]}},"/functions/{function_id}/schedule":{"post":{"tags":["functions"],"summary":"Function Schedule Set","operationId":"function_schedule_set","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FunctionScheduleCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"# not yet implemented in python sdk","label":"python"}]},"delete":{"tags":["functions"],"summary":"Function Schedule Delete","operationId":"function_schedule_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"# not yet implemented in python sdk","label":"python"}]}},"/functions/{function_id}/runs/start":{"post":{"tags":["functions"],"summary":"Function Run Start","operationId":"function_run_start","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-api-key","in":"header","required":true,"schema":{"type":"string","title":"X-Notte-Api-Key"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RunFunctionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# retrieve the function\nfn = notte.Function(\"<function_id>\")\n# Run the function, providing variables\nresponse = fn.run(url=\"https://shop.notte.cc/\")\nprint(f\"Function completed with result: {response.result}\")","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\nconst fn = notte.NotteFunction({\n  function_id: \"<function_id>\",\n});\nconst result = await fn.run({ url: \"https://shop.notte.cc/\" });\nconsole.log(\"Function run result:\", result);","label":"node"}]}},"/functions/{function_id}/runs/{run_id}":{"get":{"tags":["functions"],"summary":"Function Run Get Metadata","operationId":"function_run_get_metadata","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"run_id","in":"path","required":true,"schema":{"type":"string","title":"Run Id"}},{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFunctionRunResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"patch":{"tags":["functions"],"summary":"Function Run Update Metadata","operationId":"function_run_update_metadata","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"run_id","in":"path","required":true,"schema":{"type":"string","title":"Run Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FunctionRunUpdateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFunctionRunResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"delete":{"tags":["functions"],"summary":"Function Run Stop","operationId":"function_run_stop","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"run_id","in":"path","required":true,"schema":{"type":"string","title":"Run Id"}},{"name":"function_id","in":"path","required":true,"schema":{"type":"string","title":"Function Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFunctionRunResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/functions/{function_id}/runs":{"get":{"tags":["functions"],"summary":"List Function Runs By Function Id","operationId":"list_function_runs_by_function_id","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"function_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Function Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_GetFunctionRunResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/vaults/create":{"post":{"tags":["vaults"],"summary":"Vault Create","operationId":"vault_create","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VaultCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vault"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"import os\n\nfrom notte_sdk import NotteClient\n\nnotte = NotteClient(server_url=os.environ[\"NOTTE_API_URL\"])\n# retrieve an existing vault or use console.notte.cc/vaults to create a new one\nvault = notte.Vault(\"<vault_id>\")","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// retrieve an existing vault or use console.notte.cc/vaults to create a new one\nconst vault = notte.Vault({ vault_id: \"<vault_id>\" });","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/vaults/create\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"name\": \"default\"\n}'","label":"curl"}]}},"/vaults/{vault_id}/credentials":{"post":{"tags":["vaults"],"summary":"Vault Credentials Add","operationId":"vault_credentials_add","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCredentialsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCredentialsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"get":{"tags":["vaults"],"summary":"Vault Credentials Get","operationId":"vault_credentials_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"URL upon which to get credentials","title":"Url"},"description":"URL upon which to get credentials"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCredentialsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# retrieve an existing vault\nvault = notte.Vault(\"<vault_id>\")\ncreds = vault.get_credentials(\n    url=\"https://www.google.com\"\n)\nif creds is None:\n    raise ValueError()\nprint(creds.get(\"email\"), creds[\"password\"])","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// retrieve an existing vault\nconst vault = notte.Vault({ vault_id: \"<vault_id>\" });\nconst creds = await vault.getCredentials(\n  \"https://www.google.com\"\n);\nif (!creds) {\n  throw new Error(\"No credentials found\");\n}\nconsole.log(creds.email, creds.password);","label":"node"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/vaults/$vault_id\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]},"delete":{"tags":["vaults"],"summary":"Vault Credentials Delete","operationId":"vault_credentials_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"URL upon which to get credentials","title":"Url"},"description":"URL upon which to get credentials"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteCredentialsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/vaults/{vault_id}":{"get":{"tags":["vaults"],"summary":"Vault Credentials List","operationId":"vault_credentials_list","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCredentialsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"patch":{"tags":["vaults"],"summary":"Vault Update","operationId":"vault_update","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VaultUpdateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vault"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"delete":{"tags":["vaults"],"summary":"Vault Delete","operationId":"vault_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteVaultResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/vaults/{vault_id}/card":{"post":{"tags":["vaults"],"summary":"Vault Credit Card Set","operationId":"vault_credit_card_set","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCreditCardRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCreditCardResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"get":{"tags":["vaults"],"summary":"Vault Credit Card Get","operationId":"vault_credit_card_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCreditCardResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"delete":{"tags":["vaults"],"summary":"Vault Credit Card Delete","operationId":"vault_credit_card_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"vault_id","in":"path","required":true,"schema":{"type":"string","title":"Vault Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteCreditCardResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/vaults":{"get":{"tags":["vaults"],"summary":"List Vaults","operationId":"list_vaults","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_Vault_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/profiles/create":{"post":{"tags":["profiles"],"summary":"Profile Create","operationId":"profile_create","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# Create a new browser profile with a name\nprofile = notte.profiles.create(name=\"my-profile\")\nprint(f\"Created profile: {profile.profile_id}\")\n# Cleanup\n_ = notte.profiles.delete(profile.profile_id)","label":"python"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/profiles/create\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"name\": \"my-profile\"\n}'","label":"curl"}]}},"/profiles/{profile_id}":{"get":{"tags":["profiles"],"summary":"Profile Get","operationId":"profile_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"profile_id","in":"path","required":true,"schema":{"type":"string","title":"Profile Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# Create a profile first\nprofile = notte.profiles.create(name=\"test-profile\")\n# Get the profile by ID\nretrieved = notte.profiles.get(profile.profile_id)\nprint(f\"Profile: {retrieved.profile_id}, name: {retrieved.name}\")\n# Cleanup\n_ = notte.profiles.delete(profile.profile_id)","label":"python"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/profiles/$profile_id\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]},"delete":{"tags":["profiles"],"summary":"Profile Delete","operationId":"profile_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"profile_id","in":"path","required":true,"schema":{"type":"string","title":"Profile Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# Create a profile first\nprofile = notte.profiles.create(name=\"profile-to-delete\")\n# Delete the profile\ndeleted = notte.profiles.delete(profile.profile_id)\nprint(f\"Profile deleted: {deleted}\")","label":"python"},{"lang":"Curl","source":"curl -X DELETE \"https://api.notte.cc/profiles/$profile_id\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/profiles":{"get":{"tags":["profiles"],"summary":"Profile List","operationId":"profile_list","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter profiles by name","title":"Name"},"description":"Filter profiles by name"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active profiles","default":true,"title":"Only Active"},"description":"Whether to only return active profiles"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return profiles for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return profiles for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_ProfileResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nnotte = NotteClient()\n# List all profiles with pagination\nprofiles = notte.profiles.list(page=1, page_size=10)\nfor profile in profiles:\n    print(f\"Profile: {profile.profile_id}, name: {profile.name}\")","label":"python"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/profiles?page=1&page_size=10\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/personas/create":{"post":{"tags":["personas"],"summary":"Persona Create","operationId":"persona_create","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonaCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/personas/{persona_id}":{"delete":{"tags":["personas"],"summary":"Persona Delete","operationId":"persona_delete","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"persona_id","in":"path","required":true,"schema":{"type":"string","title":"Persona Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeletePersonaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true},"get":{"tags":["personas"],"summary":"Persona Get","operationId":"persona_get","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"persona_id","in":"path","required":true,"schema":{"type":"string","title":"Persona Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk.client import NotteClient\n\nnotte = NotteClient()\n# retrieve an existing persona or use console.notte.cc/personas to create a new one\npersona = notte.Persona(\"<my-persona-id>\")\nprint(\n    f\"{persona.info.email=} {persona.info.phone_number=}\"\n)","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// retrieve an existing persona or use console.notte.cc/personas to create a new one\nconst persona = notte.Persona({ persona_id: \"<my-persona-id>\" });\nconst info = await persona.get();\nconsole.log(`email=${info.email} phone_number=${info.phone_number}`);","label":"node"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/personas/$persona_id\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/personas/{persona_id}/emails":{"get":{"tags":["personas"],"summary":"Persona Emails List","operationId":"persona_emails_list","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"persona_id","in":"path","required":true,"schema":{"type":"string","title":"Persona Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Maximum number of emails","default":10,"title":"Limit"},"description":"Maximum number of emails"},{"name":"timedelta","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"duration"},{"type":"null"}],"description":"Maximum time since email reception","title":"Timedelta"},"description":"Maximum time since email reception"},{"name":"only_unread","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return unread messages","default":false,"title":"Only Unread"},"description":"Whether to only return unread messages"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EmailResponse"},"title":"Response Persona Emails List Personas  Persona Id  Emails Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"import datetime as dt\n\nfrom notte_sdk.client import NotteClient\n\nnotte = NotteClient()\n# retrieve an existing persona or use console.notte.cc/personas to create a new one\npersona = notte.Persona(\"<my-persona-id>\")\n# read recent emails (received in the past 5 minutes)\nrecent_emails = persona.emails(\n    only_unread=True,\n    limit=10,\n    timedelta=dt.timedelta(minutes=5),\n)\nprint(f\"Recent emails: {recent_emails}\")","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// retrieve an existing persona or use console.notte.cc/personas to create a new one\nconst persona = notte.Persona({ persona_id: \"<my-persona-id>\" });\n// read recent emails (received in the past 5 minutes)\nconst recentEmails = await persona.emails({\n  only_unread: true,\n  limit: 10,\n  timedelta: \"5m\",\n});\nconsole.log(\"Recent emails:\", recentEmails);","label":"node"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/personas/$persona_id/emails?limit=10&only_unread=true\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/personas":{"get":{"tags":["personas"],"summary":"List Personas","operationId":"list_personas","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_PersonaResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/personas/{persona_id}/sms":{"get":{"tags":["personas"],"summary":"Persona Sms List","operationId":"persona_sms_list","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"persona_id","in":"path","required":true,"schema":{"type":"string","title":"Persona Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Maximum number of emails","default":10,"title":"Limit"},"description":"Maximum number of emails"},{"name":"timedelta","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"duration"},{"type":"null"}],"description":"Maximum time since email reception","title":"Timedelta"},"description":"Maximum time since email reception"},{"name":"only_unread","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return unread messages","default":false,"title":"Only Unread"},"description":"Whether to only return unread messages"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SMSResponse"},"title":"Response Persona Sms List Personas  Persona Id  Sms Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"import datetime as dt\n\nfrom notte_sdk.client import NotteClient\n\nnotte = NotteClient()\n# retrieve an existing persona or use console.notte.cc/personas to create a new one\npersona = notte.Persona(\"<my-persona-id>\")\n# read recent sms (received in the past 5 minutes)\nrecent_sms = persona.sms(\n    only_unread=True,\n    limit=10,\n    timedelta=dt.timedelta(minutes=5),\n)\nprint(f\"Recent sms: {recent_sms}\")","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\n\nconst notte = new NotteClient();\n// retrieve an existing persona or use console.notte.cc/personas to create a new one\nconst persona = notte.Persona({ persona_id: \"<my-persona-id>\" });\n// read recent sms (received in the past 5 minutes)\nconst recentSms = await persona.sms({\n  only_unread: true,\n  limit: 10,\n  timedelta: \"5m\",\n});\nconsole.log(\"Recent sms:\", recentSms);","label":"node"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/personas/$persona_id/sms?limit=10&only_unread=true\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]}},"/prompts/improve":{"post":{"tags":["prompts"],"summary":"Improve Prompt","operationId":"improve_prompt","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImprovePromptRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImprovePromptResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/prompts/nudge":{"post":{"tags":["prompts"],"summary":"Nudge Prompt","operationId":"nudge_prompt","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NudgePromptRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NudgePromptResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/usage":{"get":{"tags":["usage"],"summary":"Get Usage","operationId":"get_usage","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"period","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The montly period to get usage for, i.e May 2025","title":"Period"},"description":"The montly period to get usage for, i.e May 2025"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/usage/logs":{"get":{"tags":["usage"],"summary":"Get Usage Logs","operationId":"get_usage_logs","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"endpoint","in":"query","required":false,"schema":{"anyOf":[{"enum":["sessions.start","sessions.stop","sessions.status","sessions.cookies.set","sessions.cookies.get","sessions.list","sessions.replay","sessions.offset","sessions.debug.info","sessions.debug.info.tab","sessions.debug.recording.wss","sessions.debug.log.wss","sessions.debug.tab.wss","sessions.debug.browser.wss","sessions.network.logs","sessions.script","page.observe","page.execute","page.scrape","profiles.create","profiles.get","profiles.list","profiles.delete","vaults.create","vaults.list","vaults.delete","vaults.update","vaults.credentials.add","vaults.credentials.get","vaults.credentials.delete","vaults.credentials.list","vaults.credit_card.set","vaults.credit_card.get","vaults.credit_card.delete","personas.create","personas.list","personas.delete","personas.emails","personas.sms","personas.number.create","personas.get","storage.download","storage.download.list","storage.fbdownload","storage.download.fblist","storage.upload","storage.upload.list","agents.start","agents.stop","agents.status","agents.list","agents.replay","agents.debug.recording","agents.save","agents.repeat","agents.script","bua","scrape","scrape_from_html","search","usage","workflows.upload","workflows.download","workflows.list","workflows.delete","workflows.update","workflows.fork","workflows.schedule.create","workflows.schedule.delete","workflows.runs.create","workflows.runs.start","workflows.runs.get","workflows.runs.list","workflows.runs.update","workflows.runs.stop"],"type":"string"},{"type":"null"}],"description":"The endpoint to filter logs by","title":"Endpoint"},"description":"The endpoint to filter logs by"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of items per page","default":10,"title":"Page Size"},"description":"Number of items per page"},{"name":"only_active","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return active sessions","default":true,"title":"Only Active"},"description":"Whether to only return active sessions"},{"name":"only_current_token","in":"query","required":false,"schema":{"type":"boolean","description":"Whether to only return sessions for the current token (apikey)","default":false,"title":"Only Current Token"},"description":"Whether to only return sessions for the current token (apikey)"},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_UsageLog_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/storage/{session_id}/downloads/{filename}":{"get":{"tags":["storage"],"summary":"File Download","operationId":"file_download","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"filename","in":"path","required":true,"schema":{"type":"string","title":"Filename"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/FileLinkResponse"},{"$ref":"#/components/schemas/ExecutionResponse"}],"title":"Response File Download Storage  Session Id  Downloads  Filename  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nclient = NotteClient()\nstorage = client.FileStorage()\n\n# Assuming you have a session with storage that has completed\nwith client.Session(storage=storage) as session:\n    # ... agent execution happens here ...\n    pass\n\n# After agent execution, download created files\ndownloaded_files = storage.list_downloaded_files()\nprint(\n    f\"Files downloaded by agent: {downloaded_files}\"\n)\n\n# Download files to a directory on your computer\ndownload_dir = \"./downloads\"  # This creates a \"downloads\" folder in your current directory\nfor file_name in downloaded_files:\n    _ = storage.download(\n        file_name=file_name,\n        local_dir=download_dir,\n        force=False,  # Don't overwrite existing files\n    )","label":"python"},{"lang":"Curl","source":"curl -X GET \"https://api.notte.cc/storage/$session_id/downloads/$filename\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\"","label":"curl"}]},"post":{"tags":["storage"],"summary":"File Upload Downloaded File","operationId":"file_upload_downloaded_file","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"filename","in":"path","required":true,"schema":{"type":"string","title":"Filename"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_file_upload_downloaded_file_storage__session_id__downloads__filename__post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/storage/{session_id}/downloads":{"get":{"tags":["storage"],"summary":"File List Downloads","operationId":"file_list_downloads","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFilesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/storage/uploads/{filename}":{"post":{"tags":["storage"],"summary":"File Upload","operationId":"file_upload","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_file_upload_storage_uploads__filename__post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\n\nclient = NotteClient()\nstorage = client.FileStorage()\n\nwith open(\"file.txt\", \"w\") as f:\n    _ = f.write(\"hello notte storage test!\")\n\n# Upload a file\nsuccess = storage.upload(\"file.txt\")","label":"python"},{"lang":"Curl","source":"touch file.txt\ncurl -X POST \"https://api.notte.cc/storage/$session_id/downloads/$filename\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: multipart/form-data\" \\\n-F \"file=@file.txt\"","label":"curl"}]}},"/storage/uploads":{"get":{"tags":["storage"],"summary":"File List Uploads","operationId":"file_list_uploads","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFilesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}},"/anything/start":{"post":{"tags":["anything"],"summary":"Anything Start","operationId":"anything_start","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnythingStartRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/health":{"get":{"tags":["health"],"summary":"Health Check","operationId":"health_check","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthResponse"}}}}},"x-hidden":true}},"/scrape":{"post":{"tags":["scrape"],"summary":"Scrape Webpage","operationId":"scrape_webpage","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobalScrapeRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataSpace"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","source":"from notte_sdk import NotteClient\nfrom pydantic import BaseModel\n\n\nclass CompanyInfo(BaseModel):\n    name: str\n    foundation_year: int\n    location: str\n\n\nnotte = NotteClient()\ncompany_info = notte.scrape(\n    url=\"https://www.ycombinator.com/companies/nottelabs\",\n    instructions=\"Extract the company info from the webpage\",\n    response_format=CompanyInfo,\n    only_main_content=False,\n)","label":"python"},{"lang":"JavaScript","source":"import { NotteClient } from \"notte-sdk\";\nimport { z } from \"zod\";\n\nconst CompanyInfo = z.object({\n  name: z.string(),\n  foundation_year: z.number(),\n  location: z.string(),\n});\n\nconst notte = new NotteClient();\nconst companyInfo = await notte.scrape(\n  \"https://www.ycombinator.com/companies/nottelabs\",\n  {\n    instructions: \"Extract the company info from the webpage\",\n    response_format: CompanyInfo,\n    only_main_content: false,\n  }\n);","label":"node"},{"lang":"Curl","source":"curl -X POST \"https://api.notte.cc/scrape\" \\\n-H \"Authorization: Bearer $NOTTE_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"headless\": true,\n\"solve_captchas\": false,\n\"timeout_minutes\": 3,\n\"proxies\": false,\n\"browser_type\": \"chromium\",\n\"user_agent\": null,\n\"chrome_args\": null,\n\"viewport_width\": null,\n\"viewport_height\": null,\n\"cdp_url\": null,\n\"use_file_storage\": false,\n\"screenshot_type\": \"last_action\",\n\"scrape_links\": true,\n\"scrape_images\": false,\n\"ignored_tags\": null,\n\"only_main_content\": true,\n\"only_images\": false,\n\"response_format\": null,\n\"instructions\": null,\n\"use_link_placeholders\": false,\n\"url\": \"www.google.com\"\n}'","label":"curl"}]}},"/search":{"post":{"tags":["search"],"summary":"Search Web","operationId":"search_web","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[]}},"/scrape_from_html":{"post":{"tags":["scrape"],"summary":"Scrape From Html","operationId":"scrape_from_html","security":[{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"x-notte-request-origin","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Request-Origin"}},{"name":"x-notte-sdk-version","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Notte-Sdk-Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScrapeFromHtmlRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScrapeSchemaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-hidden":true}}},"components":{"schemas":{"ActionParameter":{"properties":{"name":{"type":"string","title":"Name"},"type":{"type":"string","title":"Type"},"default":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Default"},"values":{"items":{"type":"string"},"type":"array","title":"Values"}},"type":"object","required":["name","type"],"title":"ActionParameter"},"ActionSpace":{"properties":{"description":{"type":"string","title":"Description","description":"Human-readable description of 
[...]
